Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateRoot Class Reference
Template system » Template elements

Represents a root element of the template tree. More...

## Public Member Functions
| __construct ( $children=array())
| name ()
| serializeData ()
| process ( $tpl, &$text, $nspace, $current_nspace)
| clear ()
& | children ()
| appendChild (&$node)

## Public Attributes
| $Children = array()
| The child array. More...

## Detailed Description

Represents a root element of the template tree.

This starts the template tree and is the base of template includes.

It has a list of child elements and runs process() on each child.

Definition at line 25 of file eztemplateroot.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateRoot::__construct | ( |  | $children = `array()` | ) |

Constructor

Parameters

  array | $children |

Definition at line 32 of file eztemplateroot.php.

## Member Function Documentation

## ◆ appendChild()

eZTemplateRoot::appendChild | ( | & | $node | ) |

Appends the child $node to the child array.

Definition at line 82 of file eztemplateroot.php.

## ◆ children()

& eZTemplateRoot::children | ( |  | ) |

Returns a reference to the child array.

Definition at line 74 of file eztemplateroot.php.

References $Children.

## ◆ clear()

eZTemplateRoot::clear | ( |  | ) |

Removes all children.

Definition at line 66 of file eztemplateroot.php.

## ◆ name()

eZTemplateRoot::name | ( |  | ) |

Returns #root as the name.

Definition at line 40 of file eztemplateroot.php.

## ◆ process()

eZTemplateRoot::process | ( |  | $tpl,
|  | & | $text,
|  |  | $nspace,
|  |  | $current_nspace
| ) |  |

Runs process() on all child elements.

Definition at line 55 of file eztemplateroot.php.

## ◆ serializeData()

eZTemplateRoot::serializeData | ( |  | ) |

Definition at line 45 of file eztemplateroot.php.

## Member Data Documentation

## ◆ $Children

eZTemplateRoot::$Children = array()

The child array.

Definition at line 88 of file eztemplateroot.php.

Referenced by children().

The documentation for this class was generated from the following file:

- eztemplateroot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.